package com.yeejoin.amos.supervision.core.common.response;

import java.util.Date;
import java.util.List;

/**
 * 巡检点巡检情况
 * @author my
 *
 */
public class PointCheckInfoRespone {
	
	private int checkID;
	/**
	 * 巡检点id
	 */
	private int pointID;
	
	/**
	 * 编号
	 */
	private String pointNo;
	/**
	 * 巡检点名称
	 */
	private String pointName;
	
	/**
	 * 计划名称
	 */
	private String planName;
	
	/**
	 * 计划id
	 */
	private int planId;
	
	/**
	 * 巡检人id
	 */
	private int userID;
	
	/**
	 * 巡检人
	 */
	private String userName;

	/**
	 * 巡检结束时间
	 */
	private Date checkTime;
	
	/**
	 * 巡检地址
	 */
	private String address;
	
	/**
	 * 状态1:合格，2：不合格，3：漏检
	 */
	private String status;

	/**
	 * 电话
	 */
	private String telephone;
	
	/**
	 * 部门
	 */
	private String department;
	
	/**
	 * 检查项
	 */
	private String inputName;
	
	/**
	 * 检查值
	 */
	private String inputValue;
	
	/**
	 * 检查项级别
	 */
	private String inputLevel;
	
	
	/**
	 * 检查结果
	 */
	private String inputStatus;
	
	
	/**
	 * 3D是否修改巡检点状态
	 */
	private Boolean isChangeStatus = false;
	
	/**
	 * 检查项信息
	 */
	private List<CheckInputResponse> checkInput;
	


	public int getCheckID() {
		return checkID;
	}

	public void setCheckID(int checkID) {
		this.checkID = checkID;
	}

	public int getPointID() {
		return pointID;
	}

	public void setPointID(int pointID) {
		this.pointID = pointID;
	}

	public String getPlanName() {
		return planName;
	}

	public void setPlanName(String planName) {
		this.planName = planName;
	}

	public int getPlanId() {
		return planId;
	}

	public void setPlanId(int planId) {
		this.planId = planId;
	}

	public int getUserID() {
		return userID;
	}

	public void setUserID(int userID) {
		this.userID = userID;
	}

	public String getInputName() {
		return inputName;
	}

	public void setInputName(String inputName) {
		this.inputName = inputName;
	}

	public String getAddress() {
		return address;
	}

	public void setAddress(String address) {
		this.address = address;
	}

	public String getStatus() {
		return status;
	}

	public void setStatus(String status) {
		this.status = status;
	}

	public String getUserName() {
		return userName;
	}

	public void setUserName(String userName) {
		this.userName = userName;
	}

	public String getPointName() {
		return pointName;
	}

	public void setPointName(String pointName) {
		this.pointName = pointName;
	}

	public Date getCheckTime() {
		return checkTime;
	}

	public void setCheckTime(Date checkTime) {
		this.checkTime = checkTime;
	}

	public String getTelephone() {
		return telephone;
	}

	public void setTelephone(String telephone) {
		this.telephone = telephone;
	}

	public String getDepartment() {
		return department;
	}

	public void setDepartment(String department) {
		this.department = department;
	}

	public String getPointNo() {
		return pointNo;
	}

	public void setPointNo(String pointNo) {
		this.pointNo = pointNo;
	}

	public Boolean getIsChangeStatus() {
		return isChangeStatus;
	}

	public void setIsChangeStatus(Boolean isChangeStatus) {
		this.isChangeStatus = isChangeStatus;
	}

	public List<CheckInputResponse> getCheckInput() {
		return checkInput;
	}

	public String getInputValue() {
		return inputValue;
	}

	public void setInputValue(String inputValue) {
		this.inputValue = inputValue;
	}

	public String getInputStatus() {
		return inputStatus;
	}

	public void setInputStatus(String inputStatus) {
		this.inputStatus = inputStatus;
	}

	public void setCheckInput(List<CheckInputResponse> checkInput) {
		this.checkInput = checkInput;
	}

	public String getInputLevel() {
		return inputLevel;
	}

	public void setInputLevel(String inputLevel) {
		this.inputLevel = inputLevel;
	}

}
